elhacker.net cabecera Bienvenido(a), Visitante. Por favor Ingresar o Registrarse
¿Perdiste tu email de activación?.

 

 


Tema destacado: (TUTORIAL) Aprende a emular Sentinel Dongle By Yapis


+  Foro de elhacker.net
|-+  Seguridad Informática
| |-+  Hacking Wireless
| | |-+  Wireless en Linux
| | | |-+  Problema al compilar cowpatty 4.6 en ubuntu 10.04
0 Usuarios y 1 Visitante están viendo este tema.
Páginas: [1] Ir Abajo Respuesta Imprimir
Autor Tema: Problema al compilar cowpatty 4.6 en ubuntu 10.04  (Leído 4,670 veces)
d4n0n3

Desconectado Desconectado

Mensajes: 53



Ver Perfil
Problema al compilar cowpatty 4.6 en ubuntu 10.04
« en: 10 Mayo 2010, 09:32 am »

Buenas, pues eso que cuando hago make en la carpeta cowpatty-4.6
me dice:

Código
  1. cc -pipe -Wall -DOPENSSL  -O2 -g3 -ggdb   -c -o utils.o utils.c
  2. utils.c:33:18: error: pcap.h: No existe el fichero ó directorio
  3. In file included from utils.c:35:
  4. utils.h:29: error: expected ‘)’ before ‘*’ token
  5. utils.c:142: error: expected ‘)’ before ‘*’ token
  6. make: *** [utils.o] Error 1
  7.  
En línea

Las cadenas de la esclavitud solamente atan las manos: es la mente lo que hace al hombre libre o esclavo.
Festor
Ex-Staff
*
Desconectado Desconectado

Mensajes: 1.955


Ver Perfil
Re: Problema al compilar cowpatty 4.6 en ubuntu 10.04
« Respuesta #1 en: 10 Mayo 2010, 11:10 am »

Citar
cc -pipe -Wall -DOPENSSL -O2 -g3 -ggdb -c -o utils.o utils.c
utils.c:33:18: error: pcap.h: No existe el fichero ó directorio
In file included from utils.c:35:
utils.h:29: error: expected ‘)’ before ‘*’ token
utils.c:142: error: expected ‘)’ before ‘*’ token
make: *** [utils.o] Error 1

Te falta la dependencia libcap-dev
En línea

d4n0n3

Desconectado Desconectado

Mensajes: 53



Ver Perfil
Re: Problema al compilar cowpatty 4.6 en ubuntu 10.04
« Respuesta #2 en: 10 Mayo 2010, 11:33 am »

es la primera que instale, porque lo lei en otro foro y que va sigue el error
En línea

Las cadenas de la esclavitud solamente atan las manos: es la mente lo que hace al hombre libre o esclavo.
Festor
Ex-Staff
*
Desconectado Desconectado

Mensajes: 1.955


Ver Perfil
Re: Problema al compilar cowpatty 4.6 en ubuntu 10.04
« Respuesta #3 en: 10 Mayo 2010, 11:49 am »

bueno, el paquete de antes al parecer apunta al este: libpcap0.8-dev que es el que realmente contiene el fichero que necesita cowpatty para poder compilar.

Y si aun después de instalar ese paquete persiste el problema entonces deberías revisar el fichero makefile para ver donde cowpatty se supone que esta buscando las cabeceras del libpcap.
En línea

d4n0n3

Desconectado Desconectado

Mensajes: 53



Ver Perfil
Re: Problema al compilar cowpatty 4.6 en ubuntu 10.04
« Respuesta #4 en: 10 Mayo 2010, 22:06 pm »

Efectivamenteeee, GRACIAAAASSS!!! Me estaba olviendooo locooo jejejeje, ya lo tengo instaladoooo y generandoo la tabla hash voy a darlee duro a esta tecnica que no la dominooo jeje GRacIAS, no sabes que quebraderos de cabeza me estaba dandooo ;D
En línea

Las cadenas de la esclavitud solamente atan las manos: es la mente lo que hace al hombre libre o esclavo.
P4nd3m0n1um


Desconectado Desconectado

Mensajes: 1.419



Ver Perfil
Re: Problema al compilar cowpatty 4.6 en ubuntu 10.04
« Respuesta #5 en: 26 Marzo 2011, 18:12 pm »

Código:
sudo apt-get install openssl
sudo apt-get install libpcap0.8-dev
sudo apt-get install libssl-dev
cd CARPETA_COWPATTY
sudo make install
En línea

Páginas: [1] Ir Arriba Respuesta Imprimir 

Ir a:  

Mensajes similares
Asunto Iniciado por Respuestas Vistas Último mensaje
Compilar pyrit-cuda en ubuntu 10.10 « 1 2 3 »
Wireless en Linux
lavitz87 20 14,065 Último mensaje 4 Octubre 2011, 20:11 pm
por BiteAciD
error al compilar en c - ubuntu
GNU/Linux
;c1v!c 9 4,204 Último mensaje 18 Abril 2011, 00:08 am
por ;c1v!c
Problema al compilar en Ubuntu con templates
Programación C/C++
alexrn 5 1,750 Último mensaje 20 Mayo 2014, 15:41 pm
por eferion
Problema al intentar compilar con Eclipse en Ubuntu
Programación C/C++
Mario Olivera 4 1,782 Último mensaje 9 Agosto 2014, 21:04 pm
por Bob1098
Ubuntu 14, problema al compilar, ajustando entorno.
GNU/Linux
wblack 1 1,191 Último mensaje 23 Noviembre 2014, 19:32 pm
por wblack
WAP2 - Aviso Legal - Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines